'use strict'

class SupportEtcd
  constructor: ->
    @data = {}

  get: (key, callback) ->
    value = @data[key]
    if value
      callback(null, value)
    else
      callback(new Error("Missing key #{key}"), null)

  set: (key, value, callback) ->
    @data[key] = {value: value}
    callback(null, @data[key])

module.exports = SupportEtcd
