# Description:
#   None
#
# Dependencies:
#   "node-etcd": "~0.3.0"
#
# Configuration:
#   HUBOT_ETCD_BRAIN_KEY - key to use, default: /hubot-brain/brain-dump
#   HUBOT_ETCD_HOST - etcd host, default: 'localhost'
#   HUBOT_ETCD_PORT - etcd port, default: 4001
#   HUBOT_ETCD_CA_FILE - ca file to use for SSL
#   HUBOT_ETCD_CERT_FILE - cert file to use for SSL
#   HUBOT_ETCD_KEY_FILE - key file to use for SSL
#
# Commands:
#   None
#
# Author:
#   meatballhat

{configureHubotEtcdBrain} = require '../'

module.exports = (robot) ->
  try
    robot.logger.debug('hubot-etcd-brain: configuring')
    configureHubotEtcdBrain(robot)
  catch e
    robot.logger.error("hubot-etcd-brain: failed to configure: #{e}")
